compose_elementary_component = function(type_support, specification, what = NULL) {
	result = NA

	if (length(type_support) == 1) type_support = rep(type_support, length = length(specification))
	
	selection = !is.na(specification)
	if (is.null(what)) {
		result[selection] = paste(
			as.character(type_support[selection]),
			as.character(specification[selection]), 
			sep = "_")
	} else {
		result[selection] = paste(
			as.character(type_support[selection]),
			what,
			as.character(specification[selection]), 
			sep = "_")
	}			
	return(result)
}
	
