extract_information = function(element, type, pattern, type_name = NULL) {
	if ("coordinates" %in% names(pattern)) {
		pattern[["x"]] = as.numeric(NA)
		pattern[["y"]] = as.numeric(NA)
	}
	for (n in names(pattern)) {
		if (!is.null(element[[n]])) {
			if (n == "coordinates") {
				pattern[["x"]] = element[[n]][1]
				pattern[["y"]] = element[[n]][2]
			} else {
				pattern[[n]] = element[[n]]
			}
		}
	}
	pattern[["coordinates"]] = NULL
	
	if (type_name %in% names(pattern)) stop("Trouble will occur!")
	pattern[[type_name]] = type

	pattern
}
