## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

# setting engine for xml and yaml code chunks.
# warning in devtools::build_vignettes(package) otherwise
knitr::knit_engines$set(
  xml = function(options) {},
  yaml = function(options) {}
)

## ----out.width = '100%', echo = FALSE-----------------------------------------
knitr::include_graphics("img/adu_t_all.png")

## ----echo=FALSE---------------------------------------------------------------

knitr::kable(
  read.csv2(file.path("tbl", "adu_t_info.csv")),
  col.names = c("structural group", "type of element", "material", "other information")
)


