test_that("Test from very simple model",
    {
        output_path = tempdir()
        simple = analyse_model(
            model = "simple",
            path = init_create_path(
                input = system.file("extdata", package = "floodam.building"),
                output = file.path(output_path, "test")
            ),
            stage = c("load", "extract", "damaging", "save", "graph"),
            verbose = FALSE
        )

        expect_s3_class(simple, "model")
    }
)

test_that("Test from very simple model with furniture",
    {
        output_path = tempdir()
        simple_furniture = analyse_model(
            model = "simple",
            path = init_create_path(
                input = system.file("extdata", package = "floodam.building"),
                output = file.path(output_path, "test")
            ),
            stage = c("load", "extract", "damaging", "save", "graph"),
            verbose = FALSE
        )

        expect_s3_class(simple_furniture, "model")
    }
)