#' Show useful information of model.
#' 
#' @param model model
#' @return NULL
#' @examples
#' \dontrun{
#' update_category("activity")
#' }
#' 
#' @export


show_log = function(model) {
	
	file_log = file.path(model[["path"]][["model_log"]], model[["file_name"]][["log"]])

	info = scan(file_log, what = character(), sep = "\n")
	info = paste(info, collapse = "\n")
	cat(info, "\n")
	
	invisible(NULL)
}
