## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk[["set"]](
  collapse = TRUE,
  comment = "#>"
)

## ----eval=FALSE---------------------------------------------------------------
#  # set up model to use example shipped with floodam
#  model_path = list(
#  data = system.file("extdata", package = "floodam.building"),
#  output = tempdir()
#  )

## ----eval=FALSE---------------------------------------------------------------
#  library(floodam.building)
#  model = analyse_model(
#    "adu_t",
#    stage = c("load", "extract", "hydraulic"),
#    path = model_path
#  )

## ----eval=FALSE---------------------------------------------------------------
#  flood = generate_limnigraph(
#      model = model,
#      time = c(0, 5400, 10800),
#      depth = c(0,3,0),
#      exposed_openings = c("door1", "window1", "window2")
#  )

## ----eval=FALSE---------------------------------------------------------------
#  output_hydrau = analyse_hydraulics(
#    model = model,
#    limnigraph = flood,
#    opening_scenario = "open",
#    sim_id = "integrated_model"
#    )

